Bug 203341 - X server hanging with latest ATI driver
Summary: X server hanging with latest ATI driver
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-21 12:35 UTC by Adam Huffman
Modified: 2018-04-11 10:30 UTC (History)
3 users (show)

Fixed In Version: f7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-13 00:06:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X server log file (46.19 KB, text/plain)
2006-08-21 12:35 UTC, Adam Huffman
no flags Details
Syslog entries after activating DRI debug (119.08 KB, application/octet-stream)
2006-09-10 22:08 UTC, Adam Huffman
no flags Details

Description Adam Huffman 2006-08-21 12:35:46 UTC
Description of problem:
With the latest ATI driver from rawhide, the problem of X taking up nearly all
the CPU time has returned.

Version-Release number of selected component (if applicable):
6.6.1-9.fc6

How reproducible:
Every time

Steps to Reproduce:
1. Boot laptop in runlevel 5
2. login
3.
  
Actual results:
Login is unusable because the X server is taking up nearly all CPU time.  If I
move to a virtual console, it is just about usable - enough to get bug report
details.

Expected results:
The graphical login works normally.

Additional info:
This is the same system in
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=203021

Comment 1 Adam Huffman 2006-08-21 12:35:48 UTC
Created attachment 134557 [details]
X server log file

Comment 2 Adam Huffman 2006-08-22 21:28:21 UTC
I can confirm that this is actually worse with the latest updates as of today
(22/8/2006) in that I can't even login via GDM as the CPU is so busy.

Currently running xorg-x11-drv-ati-6.6.1-9 and xorg-x11-server-Xorg-1.1.1-26

Comment 3 Adam Huffman 2006-09-10 22:06:43 UTC
This bug is still present with kernel 2.6.17-1.2630.fc6 and
xorg-x11-drv-ati-6.6.2-1.fc6 - at the moment this system can only run X with the
VESA driver in 1024x768.  

Comment 4 Adam Huffman 2006-09-10 22:08:19 UTC
Created attachment 135937 [details]
Syslog entries after activating DRI debug

Comment 5 Mohammed Ghanawi 2006-10-08 10:18:10 UTC
The problem seems to be there when both GL and DRI are enabled together. In my
case if I disable DRI I can login. But if I boot the system using Xen kernel the
CPU utilization is high again.

I am using an ATI AIW 8500 DV RADEON card

I have another system with a duplicate configuration except the graphic card is
an Intel 810, and everything seems to be working OK with no High CPU utilization.

Comment 6 Adam Huffman 2006-11-07 23:50:23 UTC
This problem is still present in FC6 final.

Comment 7 Adam Huffman 2006-11-13 21:58:26 UTC
Just checked with 6.6.3-1.fc6 and the freezes still happen.  

Comment 9 Adam Huffman 2007-07-05 10:10:00 UTC
This still seems to be happening with the driver in Fedora 7.

Comment 10 Adam Huffman 2007-07-06 16:38:20 UTC
Actually, it worked for a while with the latest updated driver, but has crashed
as the old one used to, with the screen "burning up".

Comment 11 Matěj Cepl 2007-07-10 13:47:38 UTC
Reporter, just to be sure (and with regards to misleading comment 8) -- are we
talking about open source ati driver or fglrx?

Comment 12 Adam Huffman 2007-07-10 14:56:31 UTC
The open source ati one, yes.

Comment 13 Dave Airlie 2007-10-11 01:08:00 UTC
does setting

Option "RenderAccel" "false"

in the driver section of xorg.conf solve this?

Comment 14 Matěj Cepl 2007-11-12 14:49:10 UTC
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.


Comment 15 Adam Huffman 2007-11-13 00:14:52 UTC
Haven't used that laptop in a while but I'll try it as soon as I can.

Comment 16 Matěj Cepl 2007-11-13 13:35:22 UTC
OK, that month timeframe is still here.

Comment 17 Adam Huffman 2007-12-12 22:09:26 UTC
I ended up upgrading to F7 and it seems to be behaving.

Comment 18 Matěj Cepl 2007-12-13 00:06:19 UTC
Closing per reporter's request in comment 17.


Note You need to log in before you can comment on or make changes to this bug.